Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.servlets.jsp.taglib
Class RemoveUserTag

    java.lang.Object
      TagSupport
          com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
              com.bea.p13n.usermgmt.servlets.jsp.taglib.ResultTag
                  com.bea.p13n.usermgmt.servlets.jsp.taglib.RemoveUserTag

All Implemented Interfaces
  UserManagementTagConstants

Deprecated Use com.bea.p13n.usermgmt.taglib.RemoveUserTag

    public class RemoveUserTag

extends ResultTag

Corresponds to `<um:removeUser>`.

The `<um:removeUser>` tag removes the `com.beasys.commerce.axiom.contact.User` object corresponding to the provided `username`. It can remove any type of extended user that has its `profileType` set in the database. The tag has no enclosed body.

Note: This tag should only be invoked when the `weblogic.security.realmClass` property in the `weblogic.properties` file is `com.beasys.commerce.axiom.contact.security.RDBMSRealm`.

Tag Attribute | Required | Type | Description
username | yes | String | The username of the user to be remove. Example: "`<%=username%>`"
result | yes | String | The name of an Integer variable to which the result of the remove user operation is assigned. Possible Values: Success: `UserManagerTagConstants.REMOVE_USER_OK` Error encountered: `UserManagerTagConstants.REMOVE_USER_FAILED`

Field Summary

Fields inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.ResultTag
`result`

Fields inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`GROUP_MGR_REF, USER_MGR_REF`

Fields inherited from interface com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTagConstants
`ADD_GROUP_FAILED, ADD_GROUP_OK, ADD_USER_FAILED, ADD_USER_OK, CREATE_GROUP_FAILED, CREATE_GROUP_OK, CREATE_USER_FAILED, CREATE_USER_OK, DEFAULT_SEARCH_EXP, DEFAULT_USER_LIMIT, GET_PROFILE_FAILED, GET_PROFILE_OK, GROUP_CHANGE_FAILED, GROUP_CHANGE_OK, GROUP_EXISTS, LOGIN_ERROR, LOGIN_FAILED, LOGIN_OK, NO_SUCH_PROFILE, NO_SUCH_SUCCESSOR, REMOVE_GROUP_FAILED, REMOVE_GROUP_OK, REMOVE_USER_FAILED, REMOVE_USER_OK, RESERVED_GROUP_NAME, RESERVED_USER_NAME, SET_PASSWORD_FAILED, SET_PASSWORD_OK, SET_PROPERTY_FAILED, SET_PROPERTY_OK, USER_EXISTS, USER_LIMIT_EXCEEDED, USER_SEARCH_FAILED, USER_SEARCH_OK`

Constructor Summary
`RemoveUserTag()` Deprecated

Method Summary
`int` | `doStartTag()` Deprecated Go through the UserManager session bean to remove the user.
`String` | `getUsername()` Deprecated Get the name of the user to remove
`void` | `release()` Deprecated Reset the tag's attributes
`void` | `setUsername(String s)` Deprecated Set the name of the user to remove

Methods inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.ResultTag
`getResult, setResult`

Methods inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`getGroupManager, getUserManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoveUserTag

    public RemoveUserTag()

  Deprecated

Method Detail

### doStartTag

    public int doStartTag()
                   throws JspException

  Deprecated
  Go through the UserManager session bean to remove the user.

  Throws
    `JspException`

### release

    public void release()

  Deprecated
  Reset the tag's attributes

  Overrides:
    `release` in class `ResultTag`

### getUsername

    public String getUsername()

  Deprecated
  Get the name of the user to remove

### setUsername

    public void setUsername(String s)

  Deprecated
  Set the name of the user to remove

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved